commit: 0e90a4e60f4a620944e38968820cb9c588b86637
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 25 02:33:38 2025 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Wed Jun 25 02:40:59 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e90a4e6
virtual/perl-Getopt-Long: add 5.42 as provider
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
...rl-Getopt-Long-2.580.0.ebuild => perl-Getopt-Long-2.580.0-r1.ebuild} | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0.ebuild
b/virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0-r1.ebuild
similarity index 87%
rename from virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0.ebuild
rename to virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0-r1.ebuild
index d5520a50a879..d0a8ee297295 100644
--- a/virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0.ebuild
+++ b/virtual/perl-Getopt-Long/perl-Getopt-Long-2.580.0-r1.ebuild
@@ -8,7 +8,7 @@ SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv
~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos
~x64-solaris"
RDEPEND="
- ~perl-core/${PN#perl-}-${PV}
+ || ( =dev-lang/perl-5.42* ~perl-core/${PN#perl-}-${PV} )
dev-lang/perl:=
!<perl-core/${PN#perl-}-${PV}
!>perl-core/${PN#perl-}-${PV}-r999